# TODO

* https://www.youtube.com/watch?v=CGUyP3t-ZZQ
* https://www.youtube.com/watch?v=ka0rd67eZ_k
* https://www.youtube.com/watch?v=7H50pv-4YXw
* https://www.youtube.com/watch?v=pdHV9H9nZks
* https://www.youtube.com/watch?v=H_rFPLAB-mU
* https://www.youtube.com/watch?v=Nocs3etLs9w
* https://www.youtube.com/watch?v=5Q_-P1kBS58
* https://www.youtube.com/watch?v=nl2KZpdxpBE
* https://www.youtube.com/watch?v=0SqiBo62zQM
* https://www.youtube.com/watch?v=OvHjNDNkW1I
* https://www.youtube.com/watch?v=Ue2qY6OgTiE
* https://www.youtube.com/watch?v=GZGnBK2NycI
* https://www.youtube.com/watch?v=-eWNKqsrwFk
* https://www.youtube.com/watch?v=TDR-rgWopgM
* https://www.youtube.com/watch?v=iRrZVWVL_KE
* https://www.youtube.com/watch?v=W-E-DxWA4gc
* https://www.youtube.com/watch?v=OehKeHlUx-g
* https://www.youtube.com/watch?v=m_NyYEBxfn8
* https://www.youtube.com/watch?v=cdTLewJCL1Y
* https://www.youtube.com/watch?v=L4LqurhleyE
* https://www.youtube.com/watch?v=jtLQ8SzfrDU
* https://www.youtube.com/watch?v=FbDebSinSQo

* https://www.youtube.com/watch?v=kITojfeYaPQ
* https://www.youtube.com/watch?v=yBFFXUpg2Sc

* https://gist.github.com/abulte/3917357
* https://github.com/debian-pi/raspbian-ua-netinst
* https://github.com/debian-pi/raspbian-ua-netinst/blob/master/scripts/etc/init.d/rcS

https://unix.stackexchange.com/questions/198590/what-is-a-bind-mount?utm_medium=organic&utm_source=google_rich_qa&utm_campaign=google_rich_qa

----

https://rfc.zeromq.org/spec:21/CLASS/

https://blog.mayflower.de/5800-Hardening-Compiler-Flags-for-NixOS.html

https://www.owasp.org/index.php/C-Based_Toolchain_Hardening_Cheat_Sheet

http://www.fast-product-development.com/safe-c.html

https://github.com/mre/awesome-static-analysis#cc

https://en.wikipedia.org/wiki/List_of_tools_for_static_code_analysis#C,_C++

https://www.edn.com/electronics-blogs/embedded-basics/4440027/7-tips-for-writing-portable-C-code

https://stackoverflow.com/questions/12392278/measure-time-in-linux-time-vs-clock-vs-getrusage-vs-clock-gettime-vs-gettimeof

http://pubs.opengroup.org/onlinepubs/9699919799/functions/V2_chap02.html#tag_15_08_04_01

https://linux.die.net/man/7/time

http://www.kegel.com/c10k.html

https://github.com/exdev/exsdk/wiki/gettimeofday-vs-clock_gettime

http://btorpey.github.io/blog/2014/02/18/clock-sources-in-linux/

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux_for_real_time/7/html-single/reference_guide/

https://en.wikipedia.org/wiki/Execution_(computing)

https://www.electronicsweekly.com/market-sectors/embedded-systems/tracing-visualisation-embedded-linux-systems-2014-03/

https://blog.hartwork.org/?p=1359

"C is quirky, flawed, and an enormous success."
Dennis Ritchie

* https://www.owasp.org/index.php/C-Based_Toolchain_Hardening_Cheat_Sheet
* https://blog.mayflower.de/5800-Hardening-Compiler-Flags-for-NixOS.html
* http://timreview.ca/article/157

https://rfc.zeromq.org/spec:21/CLASS/

* http://www.kegel.com/c10k.html
* https://nick-black.com/dankwiki/index.php/Fast_UNIX_Servers

http://odroid.us/mediawiki/index.php?title=Custom_Debian_Root_Filesystem_Image

* https://bootlin.com/doc/training/embedded-linux/embedded-linux-slides.pdf
* https://bootlin.com/doc/training/buildroot/buildroot-slides.pdf

Euclid algorithm



* https://www.motioncontroltips.com/opto-22-digital-io-carrier-board-connects-real-world-industrial-devices-millions-raspberry-pi-single-board-computers-release-digital-io-carrier-board-raspberry-pi/
* http://www.opto22.com/site/pr_details.aspx?cid=4&item=OPTO-P1-STARTERKIT-1
* http://www.opto22.com/site/pr_details.aspx?cid=4&item=OPTO-P1-40P
* http://www.opto22.com/site/documents/doc_drilldown.aspx?aid=4594
* http://www.opto22.com/site/documents/doc_drilldown.aspx?aid=4592
* http://developer.opto22.com/pi/pin-to-module/
* https://www.mouser.be/Search/Refine.aspx?Keyword=opto22

http://www.axiomtek.com/Default.aspx?MenuId=Products&FunctionId=ProductInfo&Cat=134

https://github.com/raspberrypi/firmware/commit/145ed36339117355c4c53bfb329fe50c0040f8ee

* https://tex.stackexchange.com/questions/176966/put-a-grey-background-behind-code-extracts-in-a-latex-document-like-this-site-d
* https://tex.stackexchange.com/questions/196247/lstlisting-width-of-background-box/196329#196329
* https://tex.stackexchange.com/questions/180222/how-to-change-font-size-for-specific-lstlisting

